import { useContext } from "react";
import { GroupInformation, InformationContext } from "./InformationProvider";

export function useUpdateGroupInformation() : (groupInfo: GroupInformation) => void {
    const context = useContext(InformationContext);
    const {updateGroupInformation} = context;

    if(!context || !context.cachedGroups) {
        throw new Error("useUpdateGroupInformation must be used within a InformationProvider");
    }

    return updateGroupInformation;
}